# Getting Started

## Introduction

The following documentation describes the fundamentals of the protocol and how to interact with it. Please join the [community Discord server](https://discord.gg/kBempxZr); our team and members of the community look forward to helping you build on top of SaveToken!

## How does it work?

The SaveToken protocol makes it easy to wrap any interest-bearing token with any corresponding insurance token. This enables SaveToken hodlers to generate yield while at the same time protecting their underlying assets.

For instance, a user may wish to use [Aave's](https://aave.com/) lending and borrowing protocol to generate yield via aTokens while at the same time insuring those aTokens via a corresponding insurance protocol like [Cover](https://www.coverprotocol.com/).&#x20;

To do this, the user would choose to mint SaveTokens with an ERC-20 stablecoin like DAI. The SaveToken protocol will then wrap the DAI with aDAI from Aave and CLAIM tokens from Cover, thus generating an insured, interest-bearing savings account.

Ergo, the example above might look like the following:&#x20;

| SaveToken                                   | Underlying | Underlying Asset | Underlying Protected |
| ------------------------------------------- | ---------- | ---------------- | -------------------- |
| SaveDAI\_Aave\_Cover\_Expire\_1\_Sept\_2021 | DAI        | aDAI             | CLAIM                |

## Architecture

![](https://3469821327-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M6uJquDM0c2HmCVoOBc%2F-MXvtWS6ePsmByHbRNlj%2F-MXw3EZatiHtMBDmXK5F%2Farchitecture.png?alt=media\&token=f7791cef-7a40-48df-9788-30c52b2ca66a)

The protocol is implemented as a set of **smart contracts** on top of the Ethereum blockchain.

**Note that the SaveToken protocol cannot protect your savings against all risks, and there will always be risks in finance, especially systems that are new.**

## Resources

* [Website](https://savedai.xyz/)
* [Github](https://github.com/save-dai)
* [Twitter](https://twitter.com/save_dai)
* [Medium](https://medium.com/savedai)
* Quantstamp Audit Report (TBD)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.savedai.xyz/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
